/***************************************************************************
                          khadm9240.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Sep 28 1999                                           
    copyright            : (C) 1999 by Ruediger Anlauf                         
    email                : Ruediger.Anlauf@gmx.net                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

extern "C" {
#include <stdlib.h>
}
#include "khadm9240.h"

KH_ADM9240_Profile::KH_ADM9240_Profile( sensors_chip_name chipname ) : KHFeatureProfile( chipname ){
	parseFeatures();
}

KH_ADM9240_Profile::~KH_ADM9240_Profile(){
}

/**  */
SensorId * KH_ADM9240_Profile::storeFeature( sensors_feature_data feature ){
  static SensorId sid;
	char *buffer = 0;
	ChipType chiptype;

	// if the entry is valid ( valid label exists ), do the job

	if ( !sensors_get_label( chipname, feature.number, &buffer ) ){
		debug( "%i\t%s", feature.number, buffer );
  	if ( QString( buffer ) == "fan1" ) sid = Fan1; else
		if ( QString( buffer ) == "fan2" ) sid = Fan2; else
		if ( ( QString( buffer ) == "temp1" ) || ( QString( buffer ) == "temp" ) ) sid = Temp1; else
		if ( QString( buffer ) == "VCore 1" ) sid = VCore; else
		if ( QString( buffer ) == "VCore 2" ) sid = VCore2; else
		if ( QString( buffer ) == "+3.3V" ) sid = V33; else
		if ( QString( buffer ) == "+5V" ) sid = V5;	else
		if ( QString( buffer ) == "-5V" ) sid = Vm5;	else	
		if ( QString( buffer ) == "+12V" ) sid = V12; else
		if ( QString( buffer ) == "-12V" ) sid = Vm12; else
		if ( QString( buffer ) == "beeps" ) sid = BeepControl; else
		if ( QString( buffer ) == "beep_enable" ) sid = GlobalBeep; else
		if ( QString( buffer ) == "vid" ) sid = VID;
		else {
			free( buffer );
			return 0;
		}
  	profile[sid].number = feature.number;
		profile[sid].enabled = true;
		if ( ( sid >= Fan1 ) && ( sid <= VID ) ) count++;

		// correlate the feature with its alarm binding

		if( ( QString( chipname.prefix ) == "adm9240" ) ||
			 	( QString( chipname.prefix ) == "ds1780" )  ||
		   	( QString( chipname.prefix ) == "lm81" ) )
					chiptype = adm9240;
		else {
			debug ( "Couldn't determine chip type, aborting !" );
			return 0;
		}
					
  	if ( QString( feature.name ) == "2.5V" ) profile[sid].alarm = alarmBindings[chiptype][in0]; else
		if ( QString( feature.name ) == "Vccp1" ) profile[sid].alarm = alarmBindings[chiptype][in1]; else
		if ( QString( feature.name ) == "3.3V" ) profile[sid].alarm = alarmBindings[chiptype][in2]; else
		if ( QString( feature.name ) == "5V" ) profile[sid].alarm = alarmBindings[chiptype][in3]; else
		if ( QString( feature.name ) == "12V" ) profile[sid].alarm = alarmBindings[chiptype][in4]; else
		if ( QString( feature.name ) == "Vccp2" ) profile[sid].alarm = alarmBindings[chiptype][in5]; else
		if ( QString( feature.name ) == "fan1" ) profile[sid].alarm = alarmBindings[chiptype][fan1]; else
		if ( QString( feature.name ) == "fan2" ) profile[sid].alarm = alarmBindings[chiptype][fan2]; else
		if ( QString( feature.name ) == "temp" ) profile[sid].alarm = alarmBindings[chiptype][temp1]; else
		if ( QString( feature.name ) == "chass" ) profile[sid].alarm = alarmBindings[chiptype][chass]; else
		debug( "KHFeatureProfile: couldn't determine alarm binding %s, skipping", feature.name );
	
		debug( "alarm: %i", profile[sid].alarm );

		free( buffer );
		return &sid;
	}
	return 0;
}


